Functions
Disk Operations
kvmlib

## Functions
kvmStatus | kvmKmfValidate (kvmHandle h)
kvmStatus | kvmDeviceFormatDisk (kvmHandle h, int fileSystem, uint32 reserveSpace, uint32 dbaseSpace)

## Detailed Description

## Function Documentation

## ◆ kvmDeviceFormatDisk()

kvmStatus kvmDeviceFormatDisk | ( | kvmHandle | h,
|  | int | fileSystem,
|  | uint32 | reserveSpace,
|  | uint32 | dbaseSpace
| ) |  |

Format the SD memory card in a connected Memorator.

An item code specifying the type of version to get. kvm_SWINFO_xxx

Parameters

  [in] | h | An open kvmHandle.
  [in] | fileSystem | A filesystem code, kvmFS_xxx, specifying the type of filesystem to format to.
  [in] | reserveSpace | Space to reserve for user files, in MB.
  [in] | dbaseSpace | Space to reserve for database files, in MB.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

See also
  kvmDeviceDiskSize

## ◆ kvmKmfValidate()

kvmStatus kvmKmfValidate | ( | kvmHandle | h | ) |

Check for errors

Parameters

  [in] | h | An open kvmHandle.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure